Home page logo
/

bugtraq logo Bugtraq mailing list archives

[ GLSA 200805-09 ] MoinMoin: Privilege escalation
From: Pierre-Yves Rofes <py () gentoo org>
Date: Sun, 11 May 2008 15:28:01 +0200

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Gentoo Linux Security Advisory                           GLSA 200805-09
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
                                            http://security.gentoo.org/
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

  Severity: Normal
     Title: MoinMoin: Privilege escalation
      Date: May 11, 2008
      Bugs: #218752
        ID: 200805-09

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Synopsis
========

A vulnerability in MoinMoin may allow a remote attacker to elevate his
privileges.

Background
==========

MoinMoin is an advanced and extensible Wiki Engine.

Affected packages
=================

    -------------------------------------------------------------------
     Package            /  Vulnerable  /                    Unaffected
    -------------------------------------------------------------------
  1  www-apps/moinmoin       < 1.6.3                          >= 1.6.3

Description
===========

It has been reported that the user form processing in the file
userform.py does not properly manage users when using Access Control
Lists or a non-empty superusers list.

Impact
======

A remote attacker could exploit this vulnerability to gain superuser
privileges on the application.

Workaround
==========

There is no known workaround at this time.

Resolution
==========

All MoinMoin users should upgrade to the latest version:

    # emerge --sync
    # emerge --ask --oneshot --verbose ">=www-apps/moinmoin-1.6.3"

References
==========

  [ 1 ] CVE-2008-1937
        http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-1937

Availability
============

This GLSA and any updates to it are available for viewing at
the Gentoo Security Website:

  http://security.gentoo.org/glsa/glsa-200805-09.xml

Concerns?
=========

Security is a primary focus of Gentoo Linux and ensuring the
confidentiality and security of our users machines is of utmost
importance to us. Any security concerns should be addressed to
security () gentoo org or alternatively, you may file a bug at
http://bugs.gentoo.org.

License
=======

Copyright 2008 Gentoo Foundation, Inc; referenced text
belongs to its owner(s).

The contents of this document are licensed under the
Creative Commons - Attribution / Share Alike license.

http://creativecommons.org/licenses/by-sa/2.5
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.7 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFIJvRhuhJ+ozIKI5gRApKfAJ9qJlTP22GtV4FPxxnzrdBq74A2FQCfddiu
oW/AWx4Xz8L6wvBExutWUqU=
=9H3g
-----END PGP SIGNATURE-----


  By Date           By Thread  

Current thread:
  • [ GLSA 200805-09 ] MoinMoin: Privilege escalation Pierre-Yves Rofes (May 12)
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]
AlienVault